/* PhoneCache gvSIG Extension.
 *
 * Copyright (C) 2009 Prodevelop SL.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *  
 *   Prodevelop Integracin de Tecnologas SL
 *   Plaza don Juan de Vilarrasa , 14-5
 *   46000 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   gis@prodevelop.es
 *   http://www.prodevelop.es
 */

package es.prodevelop.tilecache;

import es.prodevelop.gvsig.mini.geom.Extent;
import es.prodevelop.gvsig.mini.geom.Pixel;
import es.prodevelop.gvsig.mini.geom.Point;
import es.prodevelop.gvsig.mobile.fmap.proj.Projection;

/**
 *
 * @author aromeu
 * 
 */
public abstract class WMSHandler {  
    
    private String[] URL = new String[]{};    
    private int index = 0;    
    
    public String getURL() {
        if(index >= URL.length) {
            index = 0;
        }
        return URL[index++];
    }
    
    public String[] geturls() {
    	return this.URL;
    }
    
    public void setURL(String[] aURL) {
        URL = aURL;
    }
    
    /**
     * @deprecated
     * @param e
     * @param zoomLevel
     * @param resolution
     * @return
     */
    public abstract String buildQuery(final Extent e, final int zoomLevel, final double resolution);
    
    /**
     * Calculates the quadkey string of the current tile
     * @param zoomLevel The current zoomLevel of the map
     * @return A StringBuffer with the quadkey String
     * @deprecated
     */
    public abstract StringBuffer getQuadkey(final int tileX, final int tileY, final int zoomLevel);
    
    /**
     * 
     * @param e
     * @param zoomLevel
     * @param resolution
     * @param proj
     * @return
     * @deprecated
     */
    public abstract Pixel getTileNumber(final Extent e, final int zoomLevel, final double resolution, final Projection proj);
    
    /**
     * 
     * @param center
     * @param zoomLevel
     * @param origin
     * @return
     * @deprecated
     */    
    public abstract Extent getExtentIncludingCenter(Point center, int zoomLevel, Point origin);

}
