package es.prodevelop.tilecache.renderer;

import es.prodevelop.gvsig.mini.geom.Extent;
import es.prodevelop.gvsig.mini.geom.Point;
import es.prodevelop.gvsig.mini.projection.TileConversor;

public class QRSTRenderer extends QuadkeyRenderer {

	QRSTRenderer(String[] aBaseUrl, String aName, String aImageFilenameEnding,
			int aZoomMax, int aZoomMin, int aTileSizePX, int type,
			Point origin, Extent maxExtent, String SRS, double[] resolutions,
			Extent offExtent) {
		super(aBaseUrl, aName, aImageFilenameEnding, aZoomMax, aZoomMin,
				aTileSizePX, type, origin, maxExtent, SRS, resolutions,
				offExtent);
		// TODO Auto-generated constructor stub
	}

	public static QRSTRenderer getQRSTRenderer(final String[] aBaseUrl,
			final String aName, final String aImageFilenameEnding,
			final int aZoomMax, final int aZoomMin, final int aTileSizePX,
			final int type, final Point origin, final Extent maxExtent,
			final String SRS, final double[] resolutions, Extent offExtent) {

		QRSTRenderer r = new QRSTRenderer(aBaseUrl, aName,
				aImageFilenameEnding, aZoomMax, aZoomMin, aTileSizePX, type,
				origin, maxExtent, SRS, resolutions, offExtent);
		return r;
	}

	@Override
	public String getTileURLString(final int[] tileID, final int zoomLevel) {
		try {
			String quad = TileConversor.tileXYToQuadKey(tileID[1], tileID[0],
					zoomLevel).toString();
			quad = quad.replaceAll("0", "q").replaceAll("1", "r")
					.replaceAll("2", "s").replaceAll("3", "t");
			String baseURL = this.getBASEURL();
			final String res = new StringBuilder().append(baseURL).append(quad).toString();
			System.out.println(res);
			return res;
		} catch (Exception e) {
			return null;
		}
	}

}
