package es.prodevelop.tilecache.summary;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.Hashtable;

import es.prodevelop.gvsig.mini.exceptions.BaseException;

public class SummaryReader {

	private String dirPath;
	private String version;

	public SummaryReader(String dirPath, String version) {
		this.dirPath = dirPath;
		this.version = version;
	}

	public SummaryInfo readSummaryInfo() throws Exception {

		String renderer = "";
		File f = new File(dirPath + File.separator + version + "_"
				+ SummaryInfo.FILE_NAME);

		if (!f.exists())
			throw new BaseException(f.getAbsolutePath() + " not exists");

		FileReader configReader = null;
		BufferedReader reader = null;
		Hashtable<String, String> properties = null;

		// Open the file for reading the properties
		if (f != null && f.exists()) {
			configReader = new FileReader(f);
			reader = new BufferedReader(configReader);

			String line = null;
			String[] part;
			// Assign the pairs key-values to a HashMap
			properties = new Hashtable<String, String>();
			int i = 0;
			while ((line = reader.readLine()) != null) {
				if (i == 0) {
					renderer = line;
					i++;
				} else {
					part = line.split("=");
					properties.put(part[0], part[1]);
				}
			}
		}

		try {
			configReader.close();
		} catch (Exception ignore) {

		}

		try {
			reader.close();
		} catch (Exception ignore) {

		}

		return new SummaryInfo(renderer, properties);

	}

}
